请求参数
此 API 接口支持的参数列表
| 名称 | 类型 | 示例 | 描述 |
|---|---|---|---|
必填 | string | f57e970e-8f97-39b7-a6be-51846e92bee1 | 新闻ID,通过[B043]医药新闻检索接口获取 |
响应结构
API 响应数据的结构说明
| 字段名 | 类型 | 示例 | 描述 |
|---|---|---|---|
data | object | - | 响应数据 |
drug | array | [
{
"drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
},
{
"lang": "CN",
"name": "雷珠单抗"
}
]
}
] | 药物,引用“CommonDrug” |
drug_id | string | e82b83b42eba4e5ea3f26f8e06081a5a | 药物ID |
display_name | array | [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
},
{
"lang": "CN",
"name": "雷珠单抗"
}
] | 药物名称,引用“CommonName” |
lang | string | EN | 语言 |
name | string | Ranibizumab (Genentech) | 药物、靶点、机构、适应症、国家/地区、字典、作用机制 名称 |
tags | array | [
"Careers",
"Resume",
"BioSpace",
"advice"
] | 新闻标签 |
title | string | Roche to reintroduce Susvimo in the US for people with neovascular age-related macular degeneration (nAMD) | 新闻标题 |
author | array | [
"Thomas Fink"
] | 作者 |
target | array | [
{
"target_id": "1c2067e5ab054a8995f73efcfcf56207",
"short_name": [
{
"lang": "EN",
"name": "VEGF"
}
],
"display_name": [
{
"lang": "EN",
"name": "Vascular endothelial growth factor"
},
{
"lang": "CN",
"name": "血管内皮生长因子"
}
]
}
] | 靶点,引用“CommonTarget” |
target_id | string | 1c2067e5ab054a8995f73efcfcf56207 | 靶点ID |
short_name | array | [
{
"lang": "EN",
"name": "VEGF"
}
] | 靶点简称,引用“CommonName” |
display_name | array | [
{
"lang": "EN",
"name": "Vascular endothelial growth factor"
},
{
"lang": "CN",
"name": "血管内皮生长因子"
}
] | 靶点全称,引用“CommonName” |
channel | array | [
"company information"
] | 新闻栏目 |
content | string | The FDA has approved updates to Susvimo, which will be available to US retina specialists and patients with nAMD in the coming weeks\nSusvimo offers the first alternative to regular eye injections that are standard of care for nAMD, which impacts 20 million people worldwide and can cause blindness if left untreated | 新闻内容 |
disease | array | [
{
"disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
"display_name": [
{
"lang": "EN",
"name": "Uveitic Macular Edema"
},
{
"lang": "CN",
"name": "葡萄膜炎黄斑水肿"
}
]
}
] | 适应症,引用“CommonDisease” |
disease_id | string | 06a9082fe1ec4c97bea31d888b9cfdce | 适应症ID |
display_name | array | [
{
"lang": "EN",
"name": "Uveitic Macular Edema"
},
{
"lang": "CN",
"name": "葡萄膜炎黄斑水肿"
}
] | 适应症名称,引用“CommonName” |
news_id | string | f57e970e-8f97-39b7-a6be-51846e92bee1 | 新闻ID |
post_time | integer<int64> | 1720600697798 | 发布时间 |
source_url | string | https://www.biospace.com/article/releases/cerevel-therapeutics-announces-publication-in-the-lancet-of-emraclidine-data-from-phase-1b-clinical-trial-in-people-living-with-schizophrenia/ | 新闻原始链接 |
organization | array | [
{
"display_name": [
{
"lang": "EN",
"name": "Roche Holding AG"
},
{
"lang": "CN",
"name": "罗氏"
}
],
"organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
}
] | 机构,引用“CommonOrganization” |
display_name | array | [
{
"lang": "EN",
"name": "Roche Holding AG"
},
{
"lang": "CN",
"name": "罗氏"
}
] | 机构名称,引用“CommonName” |
organization_id | string | 87bfaf037f8e60c9e25595cd98bb27e4 | 机构ID |
status必填 | boolean | false | 状态 |
error_msg | string | The request parameter format is incorrect! | 错误信息 |
error_code必填 | integer | 0 | 错误代码 |
成功响应示例
成功调用 API 的响应示例
JSON
{
"data": {
"drug": [
{
"drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
],
"tags": [
"Careers",
"Resume",
"BioSpace",
"advice"
],
"title": "Roche to reintroduce Susvimo in the US for people with neovascular age-related macular degeneration (nAMD)",
"author": [
"Thomas Fink"
],
"target": [
{
"target_id": "1c2067e5ab054a8995f73efcfcf56207",
"short_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
],
"channel": [
"company information"
],
"content": "The FDA has approved updates to Susvimo, which will be available to US retina specialists and patients with nAMD in the coming weeks\\nSusvimo offers the first alternative to regular eye injections that are standard of care for nAMD, which impacts 20 million people worldwide and can cause blindness if left untreated",
"disease": [
{
"disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
],
"news_id": "f57e970e-8f97-39b7-a6be-51846e92bee1",
"post_time": 1720600697798,
"source_url": "https://www.biospace.com/article/releases/cerevel-therapeutics-announces-publication-in-the-lancet-of-emraclidine-data-from-phase-1b-clinical-trial-in-people-living-with-schizophrenia/",
"organization": [
{
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
}
]
},
"status": true,
"error_code": 0
}错误码
此接口可能返回的错误码列表
业务错误码
| 错误码 | 描述 |
|---|---|
68300004 | 请求参数异常! |
68300005 | 查询Api失败! |
68300006 | 解析基本存取错误! |
68300007 | 存在错误的请求! |
68300008 | 服务中断异常,请稍后再试! |
68300010 | 文件不符合上传规范! |
平台错误码
| 错误码 | 描述 |
|---|---|
67200001 | API整体限流错误! |
67200002 | 用户调用请求限流限制错误! |
67200003 | 申请token的key和secret不正确或者状态错误! |
67200004 | 无权限或该接口的套餐已超过系统设置的上限! |
67200005 | 账户余额不足,调用失败! |
67200006 | 客户端已过期,调用失败! |
67200007 | 超过调用额度,调用失败! |
HTTP 状态码
| 状态码 | 描述 |
|---|---|
0 | 请求成功 |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
性能指标
此接口的预期性能特征
正常响应时间
5000 ms
最大响应时间
10000 ms